### Enumeration

# Gio AppInfoCreateFlags

since: 2.0

#### Declaration

    flags Gio.AppInfoCreateFlags

#### Description

Flags used when creating a `GAppInfo`.

Available since: 2.0

#### Members

`G_APP_INFO_CREATE_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.0
`G_APP_INFO_CREATE_NEEDS_TERMINAL`

  Application opens in a terminal window.

  - Value: `1`
  - Nickname: `needs-terminal`
  - Available since: 2.0
`G_APP_INFO_CREATE_SUPPORTS_URIS`

  Application supports URI arguments.

  - Value: `2`
  - Nickname: `supports-uris`
  - Available since: 2.0
`G_APP_INFO_CREATE_SUPPORTS_STARTUP_NOTIFICATION`

  Application supports startup notification. Since 2.26

  - Value: `4`
  - Nickname: `supports-startup-notification`
  - Available since: 2.0